# Variable coordinates`Const`

coordinates: {
search: ((query: string, options?: CoordinatesSearchOptions) => Promise<CoordinateSearchResult>);
transform: ((positions: Position | Position[], options?: CoordinatesTransformOptions) => Promise<CoordinateTransformResult>);
} = ...

The coordinate namespace contains asynchronous functions to call the MapTiler Coordinate API. The goal of the *Coordinate API is query information about spatial coordinate reference system (CRS) as well as to transform coordinates from one CRS to another.

#### Type declaration

- ##### search: ((query: string, options?: CoordinatesSearchOptions) => Promise<CoordinateSearchResult>)

  - - (query: string, options?: CoordinatesSearchOptions): Promise<CoordinateSearchResult>

    - Search information about coordinate systems using MapTiler API. Learn more on the MapTiler API reference page: https://docs.maptiler.com/cloud/api/coordinates/#search-coordinate-systems

      ### Returns

      #### Parameters

      - ##### query: string

        Can be any kind of CRS by name or code

      - ##### options: CoordinatesSearchOptions = {}

      #### Returns Promise<CoordinateSearchResult>

- ##### transform: ((positions: Position | Position[], options?: CoordinatesTransformOptions) => Promise<CoordinateTransformResult>)

  - - (positions: Position | Position[], options?: CoordinatesTransformOptions): Promise<CoordinateTransformResult>

    - Transforms coordinates from a source reference system to a target reference system using MapTiler API. Learn more on the MapTiler API reference page: https://docs.maptiler.com/cloud/api/coordinates/#transform-coordinates

      ### Returns

      #### Parameters

      - ##### positions: Position | Position[]

      - ##### options: CoordinatesTransformOptions = {}

      #### Returns Promise<CoordinateTransformResult>

- Defined in services/coordinates.ts:253

Generated using TypeDoc